

(define-module (pkgs emacs-xyz)
  #:use-module (gnu packages)
  #:use-module (gnu packages vim)
  #:use-module (gnu packages rust-apps)
  #:use-module (gnu packages video)
  #:use-module (gnu packages gnupg)
  #:use-module (gnu services)
  #:use-module (guix gexp)
  #:use-module (guix packages)
  #:use-module (guix git-download)
  #:use-module (guix build-system emacs)
  #:use-module ((guix licenses) #:prefix license:))

(define-public emacs-dired-rsync
  (let ((commit "c4f484bff94ed2ddfe0fa45f1e695a1637e1a35a")
        (revision "0"))
    (package
      (name "emacs-dired-rsync")
      (version (git-version "0.0.1" revision commit))
      (source
       (origin
         (method git-fetch)
         (uri (git-reference
               (url "https://github.com/stsquad/dired-rsync.git")
               (commit commit)))
         (file-name (git-file-name name version))
         (sha256
          (base32
           "0000000000000000000000000000000000000000000000000000"))))
      (build-system emacs-build-system)
      (arguments (list #:emacs emacs-next-pgtk))
      (license license:gpl3+)
      (home-page "https://github.com/stsquad/dired-rsync.git")
      (synopsis "dired-rsync – asynchronous rsync from dired")
      (description "\
This package adds the command dired-rsync which allows the user to copy
marked files in a dired buffer via rsync."))))
